Unit Rnd54Fnc;
  {(C) RANDAS (稪 ᥢ砩 ᥫ). ..ﭮ. 26.02.94.}
  {$D-,E+,F+,L-,N+}
  {$L RandAs54}
Interface
  Var
    RndErr:LongInt;
  Procedure AsIn(Const S:String);
  Procedure AsIni(R:Real);
  Procedure AsOut(Const S:String);
  Procedure MMFree;
  Procedure MMIn(Const S:String);
  Procedure MMIni(R:Real);
  Procedure MMOut(Const S:String);
  Function RandAs(N:LongInt):LongInt;
  Function RandEx:Extended;
  Function RandMM(N:LongInt):LongInt;
  Function RandRe:Real;
  Function RandRM:Real;
  Procedure UnpackRndErr(Var EL,EO,EI,EC:Integer);
Implementation
  Var
    R:Real;
  Function AsInF(Const S:String):LongInt;External;
  Procedure AsIni;External;
  Function AsOutF(Const S:String):LongInt;External;
  Procedure MMFree;External;
  Function MMInF(Const S:String):LongInt;External;
  Procedure MMIni;External;
  Function MMOutF(Const S:String):LongInt;External;
  Function RandAs;External;
  Function RandMM;External;
  Procedure RndFEx(Var E:Extended);External;
  Procedure RndFRe(Var R:Real);External;
  Procedure RndFRM(Var R:Real);External;
  Procedure AsIn;
  Begin
    RndErr:=AsInF(S)
  End;
  Procedure AsOut;
  Begin
    RndErr:=AsOutF(S)
  End;
  Procedure MMErr;
  Begin
    RunError(8)
  End;
  Procedure MMIn;
  Begin
    RndErr:=MMInF(S)
  End;
  Procedure MMOut;
  Begin
    RndErr:=MMOutF(S)
  End;
  Procedure MMTable(Var P:Pointer;L:Word;B:Boolean);
  Begin
    If B Then GetMem(P,L) Else FreeMem(P,L)
  End;
  Function RandEx;
  Var
    E:Extended;
  Begin
    RndFEx(E);RandEx:=E
  End;
  Function RandRe;
  Begin
    RndFRe(R);RandRe:=R
  End;
  Function RandRM;
  Begin
    RndFRM(R);RandRM:=R
  End;
  Procedure UnpackRndErr;
  Begin
    EL:=RndErr Div 65536;
    EO:=RndErr Mod 32;
    EI:=(RndErr Div 32) Mod 32;
    EC:=(RndErr Div 1024) Mod 32
  End;
Begin
  AsIn('')
End.
